> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新測試套件

> 依 ID 更新測試套件

## 請求

```bash theme={null}
PUT https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}
```

### 路徑參數

<ParamField path="projectId" type="string" required>專案 ID</ParamField>

<ParamField path="testSuiteId" type="string" required>測試套件 ID</ParamField>

### 標頭

<ParamField header="Authorization" type="string" required>
  使用您的 Developer Key 進行 Bearer 令牌認證
</ParamField>

### 請求主體

<ParamField body="name" type="string">
  測試套件更新後的名稱
</ParamField>

<ParamField body="testCaseIds" type="array">
  更新後的測試案例 ID 陣列（會取代所有現有的關聯）
</ParamField>

## 回應

<ResponseField name="data" type="object">
  更新後的測試套件物件。
</ResponseField>

### 範例

```bash theme={null}
curl -X PUT https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated regression suite",
    "testCaseIds": ["test-case-uuid-1", "test-case-uuid-3"]
  }'
```

```json theme={null}
{
  "data": {
    "id": "test-suite-uuid",
    "projectId": "project-uuid",
    "name": "Updated regression suite",
    "testCases": [
      { "id": "test-case-uuid-1" },
      { "id": "test-case-uuid-3" }
    ],
    "createdAt": "2026-03-23T00:00:00.000Z",
    "updatedAt": "2026-03-23T00:00:00.000Z"
  }
}
```
